function FileData_Pairs(x)
{
x.t("example","peering");
x.t("example","best");
x.t("example","voice");
x.t("example","content-based");
x.t("example","detection");
x.t("example","bittorrent");
x.t("3gpp2","lte");
x.t("uniquely","typed");
x.t("uniquely","identifying");
x.t("plain","http");
x.t("plain","encrypted");
x.t("feidian","filetopia");
x.t("degrade","p2p");
x.t("upgrade","hence");
x.t("upgrade","multiple");
x.t("upgrade","complete");
x.t("upgrade","operators");
x.t("upgrade","reboot");
x.t("upgrade","detection");
x.t("supports","real-time");
x.t("supports","text");
x.t("supports","bbs");
x.t("supports","dynamic");
x.t("supports","protocol");
x.t("active","version");
x.t("active","asr");
x.t("active","calls");
x.t("active","cpu");
x.t("active","populated");
x.t("active","session");
x.t("active","standby-mode");
x.t("active","memory");
x.t("active","sessmgrs");
x.t("active","packet");
x.t("active","per");
x.t("active","versions");
x.t("enabling","disabling");
x.t("interfaces","pcrf");
x.t("real-time","dynamic");
x.t("accomplished","using");
x.t("four","packet");
x.t("modes","session");
x.t("dht","distributed");
x.t("searching","new");
x.t("passed","http");
x.t("untested","gnutella");
x.t("provide","advanced");
x.t("provide","procedures");
x.t("protocols","detected");
x.t("protocols","enabled");
x.t("protocols","skype");
x.t("protocols","purposely");
x.t("protocols","requires");
x.t("protocols","part");
x.t("protocols","p2p");
x.t("protocols","fixed");
x.t("protocols","stealthier");
x.t("protocols","activesync");
x.t("protocols","different");
x.t("protocols","may");
x.t("protocols","interact");
x.t("protocols","typical");
x.t("protocols","capabilities");
x.t("protocols","based");
x.t("protocols","emit");
x.t("protocols","bittorrent");
x.t("manner","clear");
x.t("manner","designed");
x.t("manner","contrast");
x.t("freenet","fring");
x.t("blocking","p2p");
x.t("blocking","protocol");
x.t("coupling","peers");
x.t("available","flash");
x.t("available","default");
x.t("available","p2p");
x.t("available","software");
x.t("available","memory");
x.t("latest","newest");
x.t("latest","file");
x.t("possible","protocols");
x.t("subscribers/flows","recovery");
x.t("combined","udp");
x.t("[600-00-7605]","peer-to-peer");
x.t("managing","license");
x.t("exchanges","may");
x.t("simultaneously","include");
x.t("detected","skype");
x.t("detected","yahoo");
x.t("detected","uses");
x.t("detected","winny");
x.t("detected","limitations");
x.t("detected","simple");
x.t("detected","traffic");
x.t("detected","gnutella");
x.t("detected","data");
x.t("detected","fasttrack");
x.t("detected","bittorrent");
x.t("detected","jabber");
x.t("detected","statistics");
x.t("detected","edonkey");
x.t("detected","gadu-gadu");
x.t("version","version");
x.t("version","rule");
x.t("version","loaded");
x.t("version","p2p");
x.t("version","loading");
x.t("version","marked");
x.t("version","syntax");
x.t("version","number");
x.t("version","different");
x.t("version","unloaded");
x.t("version","information");
x.t("version","numbers");
x.t("version","system");
x.t("version","deleted");
x.t("version","integrated");
x.t("flash","directory");
x.t("advantages","p2p");
x.t("(dpi)","stateless");
x.t("hardware","failure");
x.t("pattern","again");
x.t("pattern","application");
x.t("building","internal");
x.t("functional","level");
x.t("clear","differentiation");
x.t("edr","types");
x.t("applied","blocking");
x.t("applied","per");
x.t("within","skype");
x.t("within","configured");
x.t("within","first");
x.t("within","known");
x.t("needs","fine");
x.t("full","software");
x.t("files","version");
x.t("files","provided");
x.t("files","loaded");
x.t("files","present");
x.t("files","number");
x.t("files","important");
x.t("files","already");
x.t("every","time");
x.t("every","released");
x.t("/usr/lib/p2p-rules.xml","operators");
x.t("lists","limitations");
x.t("distinctions","different");
x.t("contact","local");
x.t("refer","managing");
x.t("refer","enhanced");
x.t("sending","receiving");
x.t("situation","non-p2p");
x.t("tvuplayer","uusee");
x.t("build","supports");
x.t("build","updates");
x.t("build","configuration");
x.t("build","detection");
x.t("build","system");
x.t("patches","rolled");
x.t("delivery","kit");
x.t("currently","detected");
x.t("currently","patch");
x.t("static","policy");
x.t("aaamgrs","sessmgr");
x.t("table","kademlia");
x.t("heuristic","analysis");
x.t("peer-to-peer","overview");
x.t("peer-to-peer","(p2p)");
x.t("peer-to-peer","detection");
x.t("required","voice");
x.t("required","elements");
x.t("required","update");
x.t("markers","identified");
x.t("billing","qos");
x.t("billing","statistics");
x.t("zattoo","prepaid");
x.t("zattoo","p2p");
x.t("once","calls");
x.t("once","sessmgrs");
x.t("once","chunk");
x.t("periodically","whenever");
x.t("disabling","p2p");
x.t("unloading","signature");
x.t("unloading","references");
x.t("unloading","p2p");
x.t("always","active");
x.t("always","available");
x.t("paired","one-to-one");
x.t("psc/psc2","recovery");
x.t("psc/psc2","failure");
x.t("related","bittorrent");
x.t("downloaded","plain");
x.t("covers","following");
x.t("peering","manner");
x.t("peering","exchanges");
x.t("rdp","secondlife");
x.t("action","random");
x.t("action","added");
x.t("codec","possibility");
x.t("codec","replicates");
x.t("codec","unable");
x.t("improve","detection");
x.t("newest","load");
x.t("apply","signature");
x.t("ssl","packets");
x.t("ssl","gnutella");
x.t("ssl","encryption");
x.t("loses","state");
x.t("differentiation","function");
x.t("detecting","p2p");
x.t("detecting","protocol");
x.t("qos","support");
x.t("qos","modifications");
x.t("treatments","p2p");
x.t("situations","software");
x.t("enabled","disabled");
x.t("enabled","rulebase");
x.t("enabled","dynamic");
x.t("current","protocol");
x.t("(removed)","system\u2019s");
x.t("sessctrl","sends");
x.t("ecsv2","advantages");
x.t("video","flow");
x.t("user","interface");
x.t("user","wants");
x.t("creates","lot");
x.t("platforms","products");
x.t("contexts","functional");
x.t("skype","distinctions");
x.t("skype","yahoo");
x.t("skype","skype");
x.t("skype","marketing");
x.t("skype","i.e");
x.t("skype","traffic");
x.t("skype","voice/non-voice");
x.t("skype","window");
x.t("skype","voice");
x.t("skype","known");
x.t("skype","detection");
x.t("skype","protocol");
x.t("skype","edonkey");
x.t("yahoo","yahoo");
x.t("yahoo","messenger");
x.t("yahoo","http");
x.t("yahoo","voice/non-voice");
x.t("yahoo","voice");
x.t("yahoo","configured");
x.t("yahoo","games");
x.t("yahoo","important");
x.t("yahoo","msn");
x.t("drops","network");
x.t("implemented","signature");
x.t("handled","appropriately");
x.t("hash","table");
x.t("download","download");
x.t("download","itself");
x.t("uses","ssl");
x.t("uses","edonkey");
x.t("kazaa","client");
x.t("highly","accurate");
x.t("vtun","warcraft3");
x.t("winny","yahoo");
x.t("winny","winny");
x.t("winny","client");
x.t("winny","world");
x.t("support","upgrade");
x.t("support","following");
x.t("support","including");
x.t("support","achieved");
x.t("marking","applied");
x.t("selectively","upgrade");
x.t("provided","need");
x.t("interface","accept");
x.t("interface","include");
x.t("interface","charging");
x.t("state","due");
x.t("state","based");
x.t("state","starts");
x.t("early","next");
x.t("basic","functionality");
x.t("basic","system");
x.t("best","meets");
x.t("asr","5000");
x.t("please","contact");
x.t("fact","p2p");
x.t("type","edr");
x.t("type","prepaid");
x.t("type","flow");
x.t("change","frequently");
x.t("older","file");
x.t("pdf","p2p");
x.t("categories","charging");
x.t("migration","fails");
x.t("marketing","presentation");
x.t("contributes","20-30");
x.t("time","uniquely");
x.t("time","example");
x.t("time","new");
x.t("time","loaded");
x.t("time","configured");
x.t("time","activesync");
x.t("time","system");
x.t("packets","codec");
x.t("packets","kazaa");
x.t("packets","single");
x.t("packets","need");
x.t("packets","http");
x.t("packets","provides");
x.t("packets","stream");
x.t("packets","voice");
x.t("packets","choosing");
x.t("packets","travel");
x.t("packets","investigated");
x.t("packets","drop");
x.t("packets","protocol");
x.t("packets","dropped");
x.t("purposely","publish");
x.t("purposely","avoid");
x.t("creators","protocols");
x.t("hamachivpn","iax");
x.t("calls","voice");
x.t("calls","generated");
x.t("calls","dynamic");
x.t("calls","operator");
x.t("calls","referring");
x.t("calls","achieved");
x.t("considerable","degradable");
x.t("hence","without");
x.t("initially","default");
x.t("443","scenarios");
x.t("lot","tcp");
x.t("(ecs)","functionality");
x.t("however","kademlia");
x.t("however","p2p");
x.t("tvants","tvuplayer");
x.t("poised","process");
x.t("multiple","packets");
x.t("multiple","p2p");
x.t("multiple","flows");
x.t("whenever","new");
x.t("whenever","degradation");
x.t("releases","p2p");
x.t("down","negative");
x.t("parsing","signatures");
x.t("ended","calls");
x.t("subscriber","state");
x.t("subscriber","stateful");
x.t("subscriber","session");
x.t("subscriber","profile");
x.t("subscriber","authentication");
x.t("subscriber","call");
x.t("subscriber","system");
x.t("(pscs/psc2s)","standby");
x.t("i.e","text");
x.t("browser","detected");
x.t("product","poised");
x.t("product","capability");
x.t("product","administration");
x.t("guides","provide");
x.t("detect","protocols");
x.t("detect","new");
x.t("detect","network");
x.t("detect","traffic");
x.t("detect","control");
x.t("detect","following");
x.t("behavioral","detection");
x.t("needed","upgrade");
x.t("default","version");
x.t("default","subscriber");
x.t("default","file");
x.t("default","location");
x.t("count","version");
x.t("count","zero");
x.t("one-to-one","aaamgrs");
x.t("limitations","heuristic");
x.t("limitations","p2p");
x.t("limitations","section");
x.t("text","chat");
x.t("messenger","startup");
x.t("wimax","core");
x.t("confidence","unique");
x.t("among","users");
x.t("pando","popo");
x.t("pando","pandora");
x.t("slingbox","sopcast");
x.t("indication","revenue");
x.t("achieving","degradation");
x.t("signature","files");
x.t("signature","updates");
x.t("signature","file");
x.t("signature","easier");
x.t("signature","update");
x.t("updates","during");
x.t("updates","p2p");
x.t("updates","feature");
x.t("updates","may");
x.t("updates","detection");
x.t("details","loaded");
x.t("details","proprietary");
x.t("new","calls");
x.t("new","file");
x.t("new","traffic");
x.t("new","p2p");
x.t("new","standby-mode");
x.t("new","peers");
x.t("new","case");
x.t("new","patch");
x.t("engine","needs");
x.t("engine","loads");
x.t("engine","reports");
x.t("card","hardware");
x.t("card","migration");
x.t("card","perform");
x.t("card","standby-mode");
x.t("card","made");
x.t("planned","packet");
x.t("advanced","user");
x.t("certain","clients");
x.t("certain","patterns");
x.t("offer","services");
x.t("single","flow");
x.t("licensed","feature");
x.t("license","requirements");
x.t("license","keys");
x.t("license","information");
x.t("client-server","manner");
x.t("designed","p2p");
x.t("publish","specifications");
x.t("care","p2p");
x.t("premium","billing");
x.t("innovative","highly");
x.t("iptv","irc");
x.t("size","achieving");
x.t("recovered","always");
x.t("includes","modifying");
x.t("desirable","p2p");
x.t("passes","http");
x.t("need","basis");
x.t("need","understand");
x.t("need","dynamic");
x.t("need","dropped");
x.t("file","active");
x.t("file","latest");
x.t("file","available");
x.t("file","version");
x.t("file","user");
x.t("file","support");
x.t("file","older");
x.t("file","default");
x.t("file","new");
x.t("file","signature");
x.t("file","file");
x.t("file","specified");
x.t("file","loaded");
x.t("file","p2p");
x.t("file","loading");
x.t("file","contain");
x.t("file","sharing");
x.t("file","uploading");
x.t("file","match");
x.t("file","initial");
x.t("file","unloaded");
x.t("file","newer");
x.t("file","memory");
x.t("file","considering");
x.t("file","already");
x.t("file","transfer");
x.t("file","downloading");
x.t("file","signatures");
x.t("file","containing");
x.t("file","manually");
x.t("file","packaged");
x.t("file","removed");
x.t("pplive","ppstream");
x.t("standards","proprietary");
x.t("able","parse");
x.t("appropriately","using");
x.t("http","possible");
x.t("http","detected");
x.t("http","packets");
x.t("http","engine");
x.t("http","traffic");
x.t("http","analyzer");
x.t("http","downloads");
x.t("http","deep");
x.t("cpu","active");
x.t("cpu","psc/psc2");
x.t("cpu","number");
x.t("cpu","two");
x.t("presentation","purposes");
x.t("stateful","depends");
x.t("again","re-learns");
x.t("5000","software");
x.t("5000","running");
x.t("5000","without");
x.t("installing","licenses");
x.t("actions","applied");
x.t("policing","tos");
x.t("policing","limiting");
x.t("complete","software");
x.t("incorrect","signature");
x.t("during","upgrade");
x.t("during","active");
x.t("during","yahoo");
x.t("during","subscriber");
x.t("treated","group");
x.t("group","ruledefs");
x.t("3.0","provide");
x.t("udp","contributes");
x.t("udp","tcp");
x.t("udp","flows");
x.t("re-learns","subscriber");
x.t("cisco","systems");
x.t("guide","detecting");
x.t("guide","provides");
x.t("guide","p2p");
x.t("guide","using");
x.t("network","codec");
x.t("network","skype");
x.t("network","considerable");
x.t("network","traffic");
x.t("network","licenses");
x.t("network","operators");
x.t("network","services");
x.t("network","service");
x.t("network","applying");
x.t("network","operator");
x.t("network","bandwidth");
x.t("simple","packet");
x.t("oovoo","openft");
x.t("oovoo","orb");
x.t("tos","marking");
x.t("voip","calls");
x.t("voip","clients");
x.t("voip","presence");
x.t("voip","call");
x.t("images","downloaded");
x.t("images","ads");
x.t("due","task");
x.t("overview","peer-to-peer");
x.t("overview","p2p");
x.t("overview","chapter");
x.t("overview","packet");
x.t("(p2p)","in-line");
x.t("recommended","select");
x.t("features","please");
x.t("features","chat");
x.t("features","client");
x.t("traffic","blocking");
x.t("traffic","passes");
x.t("traffic","file");
x.t("traffic","network");
x.t("traffic","false");
x.t("traffic","follows");
x.t("traffic","marked");
x.t("traffic","characteristic");
x.t("traffic","characteristics");
x.t("traffic","initial");
x.t("traffic","generated");
x.t("traffic","third-party");
x.t("traffic","online");
x.t("traffic","msn");
x.t("traffic","detection");
x.t("traffic","created");
x.t("traffic","management");
x.t("traffic","bittorrent");
x.t("traffic","behavior");
x.t("traffic","bandwidth");
x.t("traffic","patterns");
x.t("udr","types");
x.t("possibility","packets");
x.t("depends","building");
x.t("depends","heavily");
x.t("false","positives");
x.t("parse","signatures");
x.t("fails","standby");
x.t("buttons","sounds");
x.t("tcp","rules");
x.t("tcp","flows");
x.t("products","p2p");
x.t("products","licenses");
x.t("requirements","please");
x.t("requirements","customer-specific");
x.t("requires","recognizing");
x.t("requires","information");
x.t("via","report");
x.t("via","bulkstats");
x.t("pdp","context");
x.t("kit","release");
x.t("specified","configuration");
x.t("sounds","plug-ins");
x.t("kademlia","protocol");
x.t("kademlia","used");
x.t("functionality","sending");
x.t("functionality","core");
x.t("functionality","information");
x.t("filetopia","freenet");
x.t("filetopia","fring");
x.t("google","talk");
x.t("iskoot","jabber");
x.t("durations","random");
x.t("range","packets");
x.t("range","drop");
x.t("warranting","full");
x.t("wait","till");
x.t("name","rel");
x.t("name","rulebase");
x.t("checkpointed","session");
x.t("checkpointed","information");
x.t("typed","packet");
x.t("imesh","iptv");
x.t("imesh","irc");
x.t("qqlive","skype");
x.t("qqlive","quake");
x.t("warcraft","xbox");
x.t("clients","skype");
x.t("clients","display");
x.t("clients","gnutella");
x.t("clients","may");
x.t("clients","azureus");
x.t("clients","detection");
x.t("clients","jabber");
x.t("tricky","p2p");
x.t("references","version");
x.t("enables","grouping");
x.t("gateway","aaa");
x.t("gateway","per-subscriber");
x.t("populated","using");
x.t("tasks","newly");
x.t("analyzer","http");
x.t("analyzer","patterns");
x.t("follows","gnutella");
x.t("avoid","detection");
x.t("voice/non-voice","zattoo");
x.t("voice/non-voice","slingbox");
x.t("voice/non-voice","mute");
x.t("direct","indication");
x.t("frequently","p2p");
x.t("accuracy","earlier");
x.t("part","traffic");
x.t("part","gnutella");
x.t("part","chassis");
x.t("base","charging");
x.t("perform","session");
x.t("provides","basic");
x.t("provides","overview");
x.t("provides","resilience");
x.t("sales","representative");
x.t("classification","requires");
x.t("further","improve");
x.t("lastest","version");
x.t("boxer","signature");
x.t("session","includes");
x.t("session","means");
x.t("session","recovery");
x.t("session","information");
x.t("session","managers");
x.t("sessmgr","sends");
x.t("sessmgr","recovery");
x.t("sessmgr","reports");
x.t("sessmgr","task");
x.t("sessmgr","failure");
x.t("sessmgr","created");
x.t("sessmgr","maintains");
x.t("sessmgr","aaamgr");
x.t("sessmgr","standby");
x.t("rule","file");
x.t("zero","rules");
x.t("illustrates","packets");
x.t("mirrored","standby-mode");
x.t("window","within");
x.t("window","buttons");
x.t("window","modifying");
x.t("chat","detected");
x.t("chat","file");
x.t("chat","instant");
x.t("representative","p2p");
x.t("representative","important");
x.t("representative","information");
x.t("identified","fact");
x.t("identified","confidence");
x.t("identified","p2p");
x.t("place","ensure");
x.t("makes","innovative");
x.t("sopcast","soulseek");
x.t("prepaid","postpaid");
x.t("continue","detect");
x.t("restart","reboot");
x.t("loaded","flash");
x.t("loaded","signature");
x.t("loaded","session");
x.t("loaded","first");
x.t("loaded","system\u2019s");
x.t("loaded","restricted");
x.t("loaded","memory");
x.t("loaded","running");
x.t("loaded","mistake");
x.t("loaded","system");
x.t("determine","file");
x.t("sends","checkpointed");
x.t("sends","request");
x.t("profile","assumed");
x.t("tel","408-526-4000");
x.t("respective","product");
x.t("p2p","interfaces");
x.t("p2p","supports");
x.t("p2p","protocols");
x.t("p2p","product");
x.t("p2p","signature");
x.t("p2p","engine");
x.t("p2p","licensed");
x.t("p2p","standards");
x.t("p2p","voip");
x.t("p2p","overview");
x.t("p2p","traffic");
x.t("p2p","session");
x.t("p2p","in-line");
x.t("p2p","solution");
x.t("p2p","voice");
x.t("p2p","content-based");
x.t("p2p","processing");
x.t("p2p","works");
x.t("p2p","term");
x.t("p2p","utilizes");
x.t("p2p","rules");
x.t("p2p","dynamic");
x.t("p2p","detection");
x.t("p2p","application");
x.t("p2p","users");
x.t("p2p","protocol");
x.t("p2p","applications");
x.t("p2p","individual");
x.t("p2p","analysis");
x.t("p2p","flows");
x.t("hog","network");
x.t("rest","non-p2p");
x.t("applejuice","ares");
x.t("encrypted","bittorrent");
x.t("encrypted","edonkey");
x.t("un-encrypted","plain-encrypted");
x.t("records","used");
x.t("records","including");
x.t("encoded","multiple");
x.t("degradation","p2p");
x.t("degradation","voice");
x.t("decision","made");
x.t("fine","tuned");
x.t("basis","periodically");
x.t("loading","unloading");
x.t("loading","signature");
x.t("loading","new");
x.t("loading","memory");
x.t("loading","rules");
x.t("activation","done");
x.t("modifying","main");
x.t("modifying","subscriber\u2019s");
x.t("pulled","gateway");
x.t("web","browser");
x.t("local","sales");
x.t("local","sales/service");
x.t("controlling","functions");
x.t("gtalk","oscar");
x.t("lines","using");
x.t("downloads","yahoo");
x.t("downloads","msn");
x.t("string","pattern");
x.t("in-line","services");
x.t("in-line","service");
x.t("procedures","chapter");
x.t("procedures","configure");
x.t("procedures","intra-chassis");
x.t("receiving","information");
x.t("stream","(s)");
x.t("inspection","(dpi)");
x.t("inspection","however");
x.t("inspection","msn");
x.t("specifications","small");
x.t("flow","multiple");
x.t("flow","policing");
x.t("flow","created");
x.t("flow","following");
x.t("flow","edonkey");
x.t("understand","protocols");
x.t("earlier","releases");
x.t("contain","rules");
x.t("marked","unloading");
x.t("marked","skype");
x.t("ports","443");
x.t("three","active");
x.t("emule","supports");
x.t("sharing","protocols");
x.t("sharing","file");
x.t("characteristic","protocols");
x.t("characteristic","matches");
x.t("small","class");
x.t("functions","example");
x.t("functions","place");
x.t("techniques","p2p");
x.t("solution","detect");
x.t("e-gcdrs","specific");
x.t("random","drop");
x.t("random","packet");
x.t("random","seconds");
x.t("quality","chunk");
x.t("present","system\u2019s");
x.t("activated","sessmgr");
x.t("activated","p2p");
x.t("activated","packet");
x.t("request","sessmgrs");
x.t("request","contains");
x.t("dpi","protocols");
x.t("dpi","p2p");
x.t("supported","platforms");
x.t("supported","asr");
x.t("supported","initially");
x.t("supported","per-protocol");
x.t("licenses","refer");
x.t("licenses","requirements");
x.t("licenses","p2p");
x.t("contrast","client-server");
x.t("voice","detected");
x.t("voice","zattoo");
x.t("voice","calls");
x.t("voice","slingbox");
x.t("voice","quality");
x.t("voice","mute");
x.t("voice","data");
x.t("voice","information");
x.t("voice","detection");
x.t("voice","paltalk");
x.t("voice","non");
x.t("voice","call");
x.t("voice","non-voice");
x.t("irc","iskoot");
x.t("revenue","impact");
x.t("calculate","voip");
x.t("choosing","random");
x.t("configured","passed");
x.t("configured","range");
x.t("logic","whenever");
x.t("logic","part");
x.t("logic","identified");
x.t("logic","release");
x.t("logic","changes");
x.t("logic","embedded");
x.t("logic","(signatures)");
x.t("logic","following");
x.t("logic","system");
x.t("rolled","down");
x.t("commands","used");
x.t("point","time");
x.t("travel","system");
x.t("display","advertisements");
x.t("sometimes","early");
x.t("ecs","refer");
x.t("recognizing","real");
x.t("operators","selectively");
x.t("operators","needed");
x.t("operators","care");
x.t("operators","need");
x.t("operators","load");
x.t("content-based","billing");
x.t("content-based","premium");
x.t("uploading","plain");
x.t("uploading","downloading");
x.t("uusee","winny");
x.t("uusee","vpn-x");
x.t("dropping","packets");
x.t("period","time");
x.t("period","voice");
x.t("resilience","random");
x.t("degradable","voice");
x.t("reboot","implemented");
x.t("reboot","boxer");
x.t("syntax","validated");
x.t("loads","latest");
x.t("loads","file");
x.t("loads","newer");
x.t("suppose","currently");
x.t("aaa","service");
x.t("occurs","planned");
x.t("occurs","recovery");
x.t("next","flow");
x.t("select","configuration");
x.t("feature","enabled");
x.t("feature","signature");
x.t("feature","instructs");
x.t("feature","applicable");
x.t("feature","requiring");
x.t("means","protocols");
x.t("means","acl");
x.t("clearly","differentiate");
x.t("fixed","markers");
x.t("gnutella","skype");
x.t("gnutella","udp");
x.t("gnutella","google");
x.t("gnutella","clients");
x.t("gnutella","client");
x.t("gnutella","protocol");
x.t("gnutella","morpheus");
x.t("first","time");
x.t("first","signature");
x.t("first","packet");
x.t("first","seconds");
x.t("accept","policy");
x.t("per-subscriber","static");
x.t("ads","during");
x.t("fail","affected");
x.t("stealthier","challenging");
x.t("activesync","applejuice");
x.t("activesync","aimini");
x.t("warcraft3","winmx");
x.t("number","active");
x.t("number","simultaneous");
x.t("number","used");
x.t("number","standby");
x.t("control","voip");
x.t("presence","generate");
x.t("minutes","configure");
x.t("flaws","(bugs)");
x.t("system\u2019s","flash");
x.t("system\u2019s","memory");
x.t("processing","ecsv2");
x.t("processing","card");
x.t("processing","dpi");
x.t("processing","cards");
x.t("setup","p2p");
x.t("meets","service");
x.t("function","node");
x.t("function","client");
x.t("enough","network");
x.t("reporting","analyzing");
x.t("reporting","postpaid");
x.t("(bugs)","detection");
x.t("maximum","two");
x.t("statically","static");
x.t("chapter","covers");
x.t("chapter","provides");
x.t("chapter","chapter");
x.t("chapter","system");
x.t("software","upgrade");
x.t("software","version");
x.t("software","build");
x.t("software","updates");
x.t("software","signature");
x.t("software","continue");
x.t("software","restart");
x.t("software","management");
x.t("software","load");
x.t("software","versions");
x.t("software","updated");
x.t("different","contexts");
x.t("different","p2p");
x.t("different","preventing");
x.t("different","data");
x.t("different","protocol");
x.t("may","simultaneously");
x.t("may","required");
x.t("may","clearly");
x.t("may","enough");
x.t("may","strange");
x.t("may","work");
x.t("may","call");
x.t("may","accurate");
x.t("may","undetected");
x.t("particular","flow");
x.t("particular","event");
x.t("particular","protocol");
x.t("unique","protocol");
x.t("distributions","network");
x.t("winmx","winny");
x.t("suffer","p2p");
x.t("instructs","system");
x.t("parsed","signatures");
x.t("unload","file");
x.t("unload","system");
x.t("recovery","accomplished");
x.t("recovery","support");
x.t("recovery","subscriber");
x.t("recovery","limitations");
x.t("recovery","cpu");
x.t("recovery","p2p");
x.t("recovery","procedures");
x.t("recovery","task");
x.t("recovery","coupled");
x.t("recovery","work");
x.t("recovery","performed");
x.t("recovery","intra-chassis");
x.t("investigated","handled");
x.t("processes","sessmgrs");
x.t("cannot","combined");
x.t("cannot","detected");
x.t("cannot","detect");
x.t("cannot","made");
x.t("talk","imesh");
x.t("talk","voice");
x.t("report","records");
x.t("characteristics","change");
x.t("characteristics","operators");
x.t("characteristics","known");
x.t("characteristics","detection");
x.t("tight","coupling");
x.t("stateless","detection");
x.t("strange","patterns");
x.t("section","lists");
x.t("section","software");
x.t("legitimate","excess");
x.t("directconnect","edonkey");
x.t("types","within");
x.t("types","specific");
x.t("types","summarizing");
x.t("analyzing","per-protocol");
x.t("changes","existing");
x.t("changes","made");
x.t("release","supports");
x.t("release","skype");
x.t("release","p2p");
x.t("release","information");
x.t("match","current");
x.t("directory","always");
x.t("directory","cli");
x.t("directory","case");
x.t("restricted","two");
x.t("games","images");
x.t("games","msn");
x.t("internal","state");
x.t("works","p2p");
x.t("works","supported");
x.t("important","feature");
x.t("important","release");
x.t("important","dynamic");
x.t("important","information");
x.t("important","case");
x.t("important","order");
x.t("node","function");
x.t("node","node");
x.t("fair","distributions");
x.t("ddlink","directconnect");
x.t("popo","pplive");
x.t("capability","detect");
x.t("capability","case");
x.t("impact","network");
x.t("impact","system");
x.t("added","option");
x.t("positives","flaws");
x.t("initial","build");
x.t("initial","setup");
x.t("initial","software");
x.t("client","supports");
x.t("client","detected");
x.t("client","creates");
x.t("client","emule");
x.t("client","specific");
x.t("client","server");
x.t("excess","usage");
x.t("manolito","msn");
x.t("scenarios","http");
x.t("scenarios","p2p");
x.t("code","subsequent");
x.t("reports","invalid");
x.t("reports","failure");
x.t("reference","count");
x.t("diameter","interface");
x.t("rel","interface");
x.t("invalid","packets");
x.t("task","new");
x.t("task","failure");
x.t("task","running");
x.t("task","renamed");
x.t("standby-mode","sessmgr");
x.t("standby-mode","task");
x.t("term","used");
x.t("slightly","different");
x.t("level","means");
x.t("oscar","voip");
x.t("oscar","aol");
x.t("oscar","paltalk");
x.t("replicates","information");
x.t("disabled","cli");
x.t("unloaded","version");
x.t("unloaded","(removed)");
x.t("unloaded","cli");
x.t("(sessmgrs)","once");
x.t("groups","ruledefs");
x.t("utilizes","enhanced");
x.t("header","packets");
x.t("header","inspection");
x.t("header","flows");
x.t("given","content");
x.t("limiting","number");
x.t("limiting","bandwidth");
x.t("option","degrade");
x.t("known","new");
x.t("known","traffic");
x.t("known","ports");
x.t("known","period");
x.t("matches","p2p");
x.t("memory","enabling");
x.t("memory","active");
x.t("memory","once");
x.t("memory","unloading");
x.t("memory","sessmgr");
x.t("memory","p2p");
x.t("memory","point");
x.t("memory","may");
x.t("memory","important");
x.t("memory","reference");
x.t("memory","sessions");
x.t("memory","cli");
x.t("memory","used");
x.t("successfully","parsed");
x.t("successfully","signatures");
x.t("message","sent");
x.t("newer","version");
x.t("newer","file");
x.t("least","four");
x.t("bundle","sessions");
x.t("identifying","p2p");
x.t("identifying","characteristic");
x.t("ensure","fair");
x.t("per-protocol","statistics");
x.t("event","e-gcdrs");
x.t("upon","detection");
x.t("randomly","dropping");
x.t("embedded","web");
x.t("embedded","code");
x.t("causing","drop");
x.t("sessions","license");
x.t("sessions","using");
x.t("ares","battlefield");
x.t("soulseek","uusee");
x.t("soulseek","steam");
x.t("made","active");
x.t("made","available");
x.t("made","once");
x.t("made","skype");
x.t("peers","need");
x.t("peers","file");
x.t("peers","peers");
x.t("existing","traffic");
x.t("changing","traffic");
x.t("rules","categories");
x.t("rules","during");
x.t("rules","loaded");
x.t("rules","maximum");
x.t("rules","cannot");
x.t("rules","rules");
x.t("rules","several");
x.t("rules","work");
x.t("rules","deleted");
x.t("rules","ruledef");
x.t("rules","two-stage");
x.t("sessmgrs","active");
x.t("sessmgrs","paired");
x.t("sessmgrs","able");
x.t("sessmgrs","unload");
x.t("sessmgrs","successfully");
x.t("sessmgrs","standby");
x.t("encryption","cannot");
x.t("seen","analyzer");
x.t("regularly","sometimes");
x.t("408-526-4000","fax");
x.t("configuration","example");
x.t("configuration","file");
x.t("configuration","guide");
x.t("configuration","loading");
x.t("configuration","information");
x.t("keys","section");
x.t("include","client");
x.t("include","identifying");
x.t("include","embedded");
x.t("challenging","detect");
x.t("technology","makes");
x.t("battlefield","bittorrent");
x.t("openft","orb");
x.t("skinny","skype");
x.t("failure","example");
x.t("failure","parsing");
x.t("failure","cpu");
x.t("failure","sessmgr");
x.t("failure","occurs");
x.t("failure","failure");
x.t("failure","packet");
x.t("failure","signatures");
x.t("core","network");
x.t("running","active");
x.t("running","particular");
x.t("running","3gpp");
x.t("running","update");
x.t("customer-specific","features");
x.t("usage","given");
x.t("usage","bandwidth");
x.t("similar","treatments");
x.t("xbox","yahoo");
x.t("interval","seconds");
x.t("proprietary","tight");
x.t("proprietary","protocol");
x.t("considering","memory");
x.t("till","removed");
x.t("easier","p2p");
x.t("main","skype");
x.t("named","kademlia");
x.t("specific","related");
x.t("specific","particular");
x.t("specific","3gpp");
x.t("specific","protocol");
x.t("specific","patterns");
x.t("(signatures)","alone");
x.t("already","available");
x.t("already","loaded");
x.t("reboots","load");
x.t("mistake","version");
x.t("several","protocols");
x.t("several","charging");
x.t("figure","illustrates");
x.t("implementation","dht");
x.t("advertisements","images");
x.t("obtaining","installing");
x.t("charging","action");
x.t("charging","support");
x.t("charging","overview");
x.t("charging","rulebase");
x.t("charging","services");
x.t("charging","systems");
x.t("charging","policy");
x.t("charging","service");
x.t("charging","rulebases");
x.t("generate","traffic");
x.t("generate","records");
x.t("generated","rest");
x.t("generated","loading");
x.t("mute","nimbuzz");
x.t("process","network");
x.t("process","first");
x.t("alone","active");
x.t("view","details");
x.t("rulebase","treated");
x.t("rulebase","name");
x.t("rulebase","statically");
x.t("bbs","currently");
x.t("radio","traffic");
x.t("services","detected");
x.t("services","licenses");
x.t("services","voice");
x.t("services","administration");
x.t("services","system");
x.t("(s)","patches");
x.t("(s)","running");
x.t("(s)","discarding");
x.t("aol","voice");
x.t("qqgame","qqlive");
x.t("decode","required");
x.t("tuned","enhanced");
x.t("cli","disabling");
x.t("cli","sessctrl");
x.t("cli","p2p");
x.t("cli","show");
x.t("systems","base");
x.t("systems","tel");
x.t("authentication","following");
x.t("third-party","plug-ins");
x.t("opening","window");
x.t("sees","pattern");
x.t("dynamic","upgrade");
x.t("dynamic","signature");
x.t("dynamic","network");
x.t("dynamic","upgrades");
x.t("dynamic","policy");
x.t("dynamic","update");
x.t("transfer","detected");
x.t("transfer","video");
x.t("transfer","cannot");
x.t("transfer","ddlink");
x.t("transfer","services");
x.t("transfer","data");
x.t("context","per");
x.t("online","detect");
x.t("drop","within");
x.t("drop","time");
x.t("drop","decision");
x.t("drop","interval");
x.t("drop","charging");
x.t("drop","detection");
x.t("drop","achieved");
x.t("applicable","voip");
x.t("show","commands");
x.t("location","/usr/lib/p2p-rules.xml");
x.t("purposes","opening");
x.t("instant","messaging");
x.t("information","uniquely");
x.t("information","contact");
x.t("information","product");
x.t("information","signature");
x.t("information","license");
x.t("information","p2p");
x.t("information","ecs");
x.t("information","important");
x.t("information","core");
x.t("information","obtaining");
x.t("information","chunk");
x.t("information","across");
x.t("information","aaamgr");
x.t("configure","required");
x.t("configure","basic");
x.t("configure","drop");
x.t("interact","peering");
x.t("typical","packet");
x.t("preventing","detection");
x.t("capabilities","real");
x.t("msn","http");
x.t("msn","voice/non-voice");
x.t("msn","gtalk");
x.t("msn","voice");
x.t("msn","games");
x.t("msn","msn");
x.t("msn","applications");
x.t("data","network");
x.t("data","encoded");
x.t("data","types");
x.t("data","usage");
x.t("data","transfer");
x.t("messaging","detected");
x.t("detection","protocols");
x.t("detection","version");
x.t("detection","enabled");
x.t("detection","creators");
x.t("detection","packets");
x.t("detection","engine");
x.t("detection","desirable");
x.t("detection","depends");
x.t("detection","tricky");
x.t("detection","accuracy");
x.t("detection","p2p");
x.t("detection","techniques");
x.t("detection","logic");
x.t("detection","fail");
x.t("detection","suffer");
x.t("detection","software");
x.t("detection","cannot");
x.t("detection","may");
x.t("detection","release");
x.t("detection","capability");
x.t("detection","bundle");
x.t("detection","technology");
x.t("detection","specific");
x.t("detection","traditional");
x.t("detection","based");
x.t("detection","deep");
x.t("detection","morpheus");
x.t("traditional","manner");
x.t("result","situation");
x.t("appropriate","controlling");
x.t("fasttrack","feidian");
x.t("fasttrack","ssl");
x.t("fasttrack","filetopia");
x.t("orb","http");
x.t("orb","oscar");
x.t("happens","traffic");
x.t("happens","minutes");
x.t("upgrades","p2p");
x.t("upgrades","detection");
x.t("newly","activated");
x.t("azureus","3.0");
x.t("fax","408-527-0883");
x.t("sales/service","representative");
x.t("postpaid","p2p");
x.t("postpaid","charging");
x.t("policy","updates");
x.t("policy","pulled");
x.t("policy","supported");
x.t("policy","rules");
x.t("policy","acls");
x.t("policy","category");
x.t("application","type");
x.t("application","header");
x.t("application","system");
x.t("case","session");
x.t("case","p2p");
x.t("case","scenarios");
x.t("case","failure");
x.t("case","based");
x.t("acl","name");
x.t("coupled","sessmgr");
x.t("described","respective");
x.t("lte","wimax");
x.t("modifications","similar");
x.t("paltalk","pando");
x.t("simultaneous","p2p");
x.t("overwritten","gateway");
x.t("mirroring","sessmgr");
x.t("administration","guides");
x.t("administration","guide");
x.t("administration","configuration");
x.t("topics","supported");
x.t("3gpp","3gpp2");
x.t("3gpp","upon");
x.t("requiring","[600-00-7605]");
x.t("two","example");
x.t("two","modes");
x.t("two","signature");
x.t("two","suppose");
x.t("two","slightly");
x.t("protocol","detected");
x.t("protocol","type");
x.t("protocol","however");
x.t("protocol","behavioral");
x.t("protocol","details");
x.t("protocol","certain");
x.t("protocol","file");
x.t("protocol","traffic");
x.t("protocol","identified");
x.t("protocol","random");
x.t("protocol","operators");
x.t("protocol","may");
x.t("protocol","particular");
x.t("protocol","characteristics");
x.t("protocol","changes");
x.t("protocol","release");
x.t("protocol","named");
x.t("protocol","implementation");
x.t("protocol","(s)");
x.t("protocol","transfer");
x.t("protocol","detection");
x.t("enhanced","further");
x.t("enhanced","charging");
x.t("users","network");
x.t("users","may");
x.t("users","include");
x.t("users","generate");
x.t("users","result");
x.t("downloading","plain");
x.t("downloading","uploading");
x.t("steam","tvants");
x.t("summarizing","data");
x.t("varies","protocol");
x.t("heavily","known");
x.t("chassis","software");
x.t("done","http");
x.t("done","dpi");
x.t("done","deactivate");
x.t("20-30","gnutella");
x.t("applications","example");
x.t("applications","detected");
x.t("applications","hog");
x.t("applications","different");
x.t("aimini","applejuice");
x.t("non","voice");
x.t("quake","rdp");
x.t("unable","decode");
x.t("based","signature");
x.t("based","certain");
x.t("based","strange");
x.t("based","changing");
x.t("work","situations");
x.t("work","group");
x.t("work","least");
x.t("acls","rulebases");
x.t("itself","uses");
x.t("startup","detected");
x.t("emit","patterns");
x.t("real","time");
x.t("packet","drops");
x.t("packet","udp");
x.t("packet","classification");
x.t("packet","inspection");
x.t("packet","processing");
x.t("packet","header");
x.t("packet","dropped");
x.t("accurate","happens");
x.t("accurate","protocol");
x.t("rc4-encrypted","file");
x.t("discarding","traffic");
x.t("call","recovered");
x.t("call","file");
x.t("call","durations");
x.t("call","lines");
x.t("call","period");
x.t("call","important");
x.t("call","happens");
x.t("call","varies");
x.t("call","duration");
x.t("created","p2p");
x.t("created","recovery");
x.t("created","application");
x.t("numbers","p2p");
x.t("patch","wait");
x.t("patch","loaded");
x.t("order","session");
x.t("renamed","made");
x.t("system","every");
x.t("system","loses");
x.t("system","signature");
x.t("system","incorrect");
x.t("system","lastest");
x.t("system","loads");
x.t("system","initial");
x.t("system","configuration");
x.t("system","reboots");
x.t("system","sees");
x.t("system","administration");
x.t("system","using");
x.t("system","load");
x.t("system","affected");
x.t("system","update");
x.t("service","(ecs)");
x.t("service","subscriber");
x.t("service","recommended");
x.t("service","supported");
x.t("service","model");
x.t("model","configure");
x.t("model","described");
x.t("elements","model");
x.t("following","protocols");
x.t("following","actions");
x.t("following","p2p");
x.t("following","figure");
x.t("following","topics");
x.t("management","functions");
x.t("management","operations");
x.t("used","searching");
x.t("used","determine");
x.t("used","loading");
x.t("used","calculate");
x.t("used","view");
x.t("used","two");
x.t("bittorrent","skype");
x.t("bittorrent","file");
x.t("bittorrent","features");
x.t("bittorrent","clients");
x.t("bittorrent","un-encrypted");
x.t("bittorrent","directconnect");
x.t("bittorrent","orb");
x.t("bittorrent","protocol");
x.t("bittorrent","jabber");
x.t("pandora","popo");
x.t("chunk","packets");
x.t("chunk","size");
x.t("signatures","loaded");
x.t("signatures","activation");
x.t("signatures","activated");
x.t("signatures","unload");
x.t("signatures","successfully");
x.t("individual","protocol");
x.t("corresponding","names");
x.t("undetected","protocols");
x.t("cards","(pscs/psc2s)");
x.t("wants","download");
x.t("starts","detecting");
x.t("using","version");
x.t("using","checkpointed");
x.t("using","mirrored");
x.t("using","p2p");
x.t("using","procedures");
x.t("using","ruledefs");
x.t("using","bulkstats");
x.t("differentiate","two");
x.t("class","p2p");
x.t("non-p2p","users");
x.t("jabber","ssl");
x.t("jabber","offer");
x.t("jabber","clients");
x.t("jabber","manolito");
x.t("jabber","jabber");
x.t("duration","direct");
x.t("duration","p2p");
x.t("dropped","within");
x.t("dropped","codec");
x.t("dropped","network");
x.t("containing","rules");
x.t("ruledefs","group");
x.t("ruledefs","enables");
x.t("ruledefs","p2p");
x.t("ruledefs","charging");
x.t("ruledefs","corresponding");
x.t("deep","packet");
x.t("edonkey","yahoo");
x.t("edonkey","file");
x.t("edonkey","p2p");
x.t("edonkey","gnutella");
x.t("edonkey","client");
x.t("edonkey","fasttrack");
x.t("edonkey","protocol");
x.t("edonkey","edonkey");
x.t("plain-encrypted","rc4-encrypted");
x.t("gadu-gadu","gnutella");
x.t("gadu-gadu","radio");
x.t("nimbuzz","oovoo");
x.t("statistics","via");
x.t("statistics","reporting");
x.t("statistics","using");
x.t("per","active");
x.t("per","pdp");
x.t("per","p2p");
x.t("across","multiple");
x.t("subsequent","software");
x.t("manually","loaded");
x.t("deleted","memory");
x.t("pcrf","diameter");
x.t("grouping","rules");
x.t("acs","recovery");
x.t("distributed","hash");
x.t("morpheus","clients");
x.t("morpheus","client");
x.t("ruledef","cisco");
x.t("operations","chapter");
x.t("behavior","p2p");
x.t("applying","appropriate");
x.t("half-life","hamachivpn");
x.t("ppstream","qqlive");
x.t("ppstream","qqgame");
x.t("secondlife","skinny");
x.t("world","warcraft");
x.t("operator","p2p");
x.t("operator","loads");
x.t("load","apply");
x.t("load","asr");
x.t("load","default");
x.t("load","during");
x.t("load","p2p");
x.t("without","warranting");
x.t("without","string");
x.t("without","software");
x.t("packaged","delivery");
x.t("referring","ended");
x.t("maintains","reference");
x.t("subscriber\u2019s","policy");
x.t("names","activated");
x.t("names","several");
x.t("analysis","subscriber");
x.t("analysis","done");
x.t("performed","using");
x.t("occur","multiple");
x.t("bandwidth","applied");
x.t("bandwidth","among");
x.t("bandwidth","policing");
x.t("bandwidth","traffic");
x.t("bandwidth","p2p");
x.t("bandwidth","legitimate");
x.t("vpn-x","vtun");
x.t("bulkstats","via");
x.t("bulkstats","p2p");
x.t("including","policing");
x.t("including","udr");
x.t("achieved","random");
x.t("achieved","randomly");
x.t("achieved","mirroring");
x.t("patterns","part");
x.t("patterns","first");
x.t("patterns","causing");
x.t("patterns","seen");
x.t("patterns","regularly");
x.t("patterns","based");
x.t("patterns","occur");
x.t("versions","every");
x.t("versions","loaded");
x.t("versions","loading");
x.t("released","signature");
x.t("intra-chassis","session");
x.t("aaamgr","tasks");
x.t("aaamgr","processes");
x.t("aaamgr","task");
x.t("aaamgr","acs");
x.t("standby","cpu");
x.t("standby","sessmgr");
x.t("standby","three");
x.t("standby","sessmgrs");
x.t("standby","packet");
x.t("fring","gadu-gadu");
x.t("non-voice","half-life");
x.t("iax","imesh");
x.t("affected","subscribers/flows");
x.t("affected","signature");
x.t("validated","case");
x.t("managers","(sessmgrs)");
x.t("managers","sessmgrs");
x.t("deactivate","message");
x.t("sent","managers");
x.t("removed","memory");
x.t("rulebases","pdf");
x.t("rulebases","groups");
x.t("category","request");
x.t("assumed","overwritten");
x.t("server","functionality");
x.t("server","protocol");
x.t("content","type");
x.t("flows","untested");
x.t("flows","currently");
x.t("flows","qos");
x.t("flows","subscriber");
x.t("flows","without");
x.t("seconds","within");
x.t("seconds","voice");
x.t("seconds","packet");
x.t("updated","logic");
x.t("update","loading");
x.t("update","feature");
x.t("update","detection");
x.t("negative","impact");
x.t("integrated","software");
x.t("two-stage","process");
x.t("contains","names");
x.t("plug-ins","skype");
x.t("plug-ins","plug-ins");
}
